| Version: 3.0.1

- Main Page
- Related Pages
- Categories
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
wxMessageOutputDebug Class Reference
Logging

`#include <wx/msgout.h>`

Inheritance diagram for wxMessageOutputDebug:
[legend]

## Detailed Description

Output messages to the system debug output channel.

Under MSW this class outputs messages to the so called debug output. Under the other systems it simply uses the standard error stream.

##

Library: wxBase
Category: Logging

## Public Member Functions

| wxMessageOutputDebug ()
| Default constructor.
Public Member Functions inherited from wxMessageOutputStderr
| wxMessageOutputStderr (FILE *fp=stderr)
| Create a new message output object associated with standard error stream by default.
Public Member Functions inherited from wxMessageOutput
void | Printf (const wxString &format,...)
| Output a message.
virtual void | Output (const wxString &str)=0
| Method called by Printf() to really output the text.

## Additional Inherited Members

Static Public Member Functions inherited from wxMessageOutput
static wxMessageOutput * | Get ()
| Return the global message output object.
static wxMessageOutput * | Set (wxMessageOutput *msgout)
| Sets the global message output object.

## Constructor & Destructor Documentation

wxMessageOutputDebug::wxMessageOutputDebug | ( |  | ) |

Default constructor.